%define version 1.6.3
%define name enscript
%define prefix %{_prefix}
%define release 1mdk

Name: %{name}
Summary: Converts plain ASCII to PostScript.
Release: %{release}
Version: %{version}
License: GPL
Group: Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript-%{version}.tar.bz2
URL: http://people.ssh.fi/mtr/genscript/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: flex gettext
Obsoletes: nenscript
Provides: nenscript
Prefix: %{_prefix}

%description
GNU enscript is a free replacement for Adobe's Enscript program. Enscript
converts ASCII files to PostScript(TM) and spools generated PostScript
output to the specified printer or saves it to a file. Enscript can be
extended to handle different output media and includes many options for
customizing printouts.

%prep
%setup -q

%build
%configure --with-media=Letter
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/%{name}
cp $RPM_BUILD_ROOT/%{_datadir}/%{name}/afm/font.map $RPM_BUILD_ROOT/etc/%{name}/font.map
pushd $RPM_BUILD_ROOT/%{_datadir}/%{name}
ln -sf /etc/%{name}/font.map
popd

%find_lang %name

# XXX note doubled %% in sed script below.
(cd %{buildroot};find .%{_datadir}/enscript/* -type f) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list

( cd %{buildroot}
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
)

cat share.list >> %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README README.ESCAPES THANKS TODO 
%config(noreplace) %{_sysconfdir}/enscript.cfg
%config(noreplace) %{_sysconfdir}/enscript/font.map
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Feb  1 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.3-1mdk
- new version
  - patch #0 (add DESTDIR) no more needed (now uses automake)
  - patch #1 (mail) integrated upstream
  - patch #2 (security fix for tmpnam) integrated upstream
  - external pofiles no more needed (integrated upstream)

* Wed Jan 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.6.1-22mdk
- security fix for temporary files

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-21mdk
- fix source-or-patch-not-bzipped 
- fix strange-permission 

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-20mdk
- fix use-of-RPM_SOURCE_DIR 
- resync with RH package fixing RH Bugzilla bug #17750

* Thu Aug 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-19mdk
- add provides

* Sat Jul 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.1-18mdk
- BuildRequires:	flex gettext
- Copyright -> License

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-17mdk
- rebuild

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-16mdk
- try to honour config files in /etc

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-15mdk
- licence: GNU -> GPL

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-14mdk
- automatically added packager tag

* Mon Aug 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.6.1-13mdk
- added Irish catalog

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-12mdk
- macros, cleanup
- make ewt's marking of /usr/share/enscript/font.map work (Perl rules)

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-11mdk
- new groups
- fixed non-existent URL

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
